Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.shared
Class ConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.shared.ConfigException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigException

extends JenaException

An Exception indicating that Jena is not working because it is not correctly configured. For example, the classpath is not set up correctly for the desired functionality.

Author:
  Jeremy J. Carroll
See Also:
  Serialized Form

Constructor Summary
`ConfigException()`
`ConfigException(java.lang.String message)`
`ConfigException(java.lang.String message, java.lang.Throwable cause)`
`ConfigException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException

    public ConfigException(java.lang.String message)

Parameters:
  `message` -

### ConfigException

    public ConfigException()

### ConfigException

    public ConfigException(java.lang.Throwable cause)

Parameters:
  `cause` -

### ConfigException

    public ConfigException(java.lang.String message,
                           java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP